IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/19
Addresses2^109
/64 networks2^45
- Network
ff7f::/19- First address
ff7f::- Last address
ff7f:1fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 649,037,107,316,853,453,566,312,041,152,512 (2^109)
- /64 networks (LANs)
- 35,184,372,088,832 (2^45)
- Full form
ff7f:0000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zones
0.f.7.f.f.ip6.arpa1.f.7.f.f.ip6.arpa
/19 is not on a 4-bit boundary, so it takes 2 /20 zones.
Split into smaller subnets
ff7f::/19 makes 512 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff7f::/28 | ff7f:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff7f:10::/28 | ff7f:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff7f:20::/28 | ff7f:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff7f:30::/28 | ff7f:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff7f:40::/28 | ff7f:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff7f:50::/28 | ff7f:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff7f:60::/28 | ff7f:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff7f:70::/28 | ff7f:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff7f:80::/28 | ff7f:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff7f:90::/28 | ff7f:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff7f:a0::/28 | ff7f:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff7f:b0::/28 | ff7f:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff7f:c0::/28 | ff7f:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff7f:d0::/28 | ff7f:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff7f:e0::/28 | ff7f:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff7f:f0::/28 | ff7f:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff7f:100::/28 | ff7f:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff7f:110::/28 | ff7f:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff7f:120::/28 | ff7f:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff7f:130::/28 | ff7f:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff7f:140::/28 | ff7f:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff7f:150::/28 | ff7f:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff7f:160::/28 | ff7f:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff7f:170::/28 | ff7f:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff7f:180::/28 | ff7f:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff7f:190::/28 | ff7f:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff7f:1a0::/28 | ff7f:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff7f:1b0::/28 | ff7f:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff7f:1c0::/28 | ff7f:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff7f:1d0::/28 | ff7f:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff7f:1e0::/28 | ff7f:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff7f:1f0::/28 | ff7f:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff7f:200::/28 | ff7f:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff7f:210::/28 | ff7f:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff7f:220::/28 | ff7f:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff7f:230::/28 | ff7f:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff7f:240::/28 | ff7f:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff7f:250::/28 | ff7f:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff7f:260::/28 | ff7f:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff7f:270::/28 | ff7f:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff7f:280::/28 | ff7f:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff7f:290::/28 | ff7f:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff7f:2a0::/28 | ff7f:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff7f:2b0::/28 | ff7f:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff7f:2c0::/28 | ff7f:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff7f:2d0::/28 | ff7f:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff7f:2e0::/28 | ff7f:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff7f:2f0::/28 | ff7f:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff7f:300::/28 | ff7f:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff7f:310::/28 | ff7f:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff7f:320::/28 | ff7f:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff7f:330::/28 | ff7f:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff7f:340::/28 | ff7f:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff7f:350::/28 | ff7f:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff7f:360::/28 | ff7f:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff7f:370::/28 | ff7f:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff7f:380::/28 | ff7f:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff7f:390::/28 | ff7f:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff7f:3a0::/28 | ff7f:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff7f:3b0::/28 | ff7f:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff7f:3c0::/28 | ff7f:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff7f:3d0::/28 | ff7f:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff7f:3e0::/28 | ff7f:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff7f:3f0::/28 | ff7f:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff7f:400::/28 | ff7f:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff7f:410::/28 | ff7f:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff7f:420::/28 | ff7f:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff7f:430::/28 | ff7f:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff7f:440::/28 | ff7f:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff7f:450::/28 | ff7f:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff7f:460::/28 | ff7f:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff7f:470::/28 | ff7f:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff7f:480::/28 | ff7f:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff7f:490::/28 | ff7f:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff7f:4a0::/28 | ff7f:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff7f:4b0::/28 | ff7f:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff7f:4c0::/28 | ff7f:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff7f:4d0::/28 | ff7f:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff7f:4e0::/28 | ff7f:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff7f:4f0::/28 | ff7f:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff7f:500::/28 | ff7f:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff7f:510::/28 | ff7f:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff7f:520::/28 | ff7f:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff7f:530::/28 | ff7f:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff7f:540::/28 | ff7f:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff7f:550::/28 | ff7f:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff7f:560::/28 | ff7f:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff7f:570::/28 | ff7f:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff7f:580::/28 | ff7f:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff7f:590::/28 | ff7f:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff7f:5a0::/28 | ff7f:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff7f:5b0::/28 | ff7f:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff7f:5c0::/28 | ff7f:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff7f:5d0::/28 | ff7f:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff7f:5e0::/28 | ff7f:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff7f:5f0::/28 | ff7f:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff7f:600::/28 | ff7f:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff7f:610::/28 | ff7f:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff7f:620::/28 | ff7f:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff7f:630::/28 | ff7f:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff7f:640::/28 | ff7f:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff7f:650::/28 | ff7f:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff7f:660::/28 | ff7f:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff7f:670::/28 | ff7f:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff7f:680::/28 | ff7f:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff7f:690::/28 | ff7f:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff7f:6a0::/28 | ff7f:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff7f:6b0::/28 | ff7f:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff7f:6c0::/28 | ff7f:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff7f:6d0::/28 | ff7f:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff7f:6e0::/28 | ff7f:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff7f:6f0::/28 | ff7f:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff7f:700::/28 | ff7f:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff7f:710::/28 | ff7f:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff7f:720::/28 | ff7f:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff7f:730::/28 | ff7f:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff7f:740::/28 | ff7f:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff7f:750::/28 | ff7f:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff7f:760::/28 | ff7f:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff7f:770::/28 | ff7f:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff7f:780::/28 | ff7f:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff7f:790::/28 | ff7f:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff7f:7a0::/28 | ff7f:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff7f:7b0::/28 | ff7f:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff7f:7c0::/28 | ff7f:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff7f:7d0::/28 | ff7f:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff7f:7e0::/28 | ff7f:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff7f:7f0::/28 | ff7f:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff7f:800::/28 | ff7f:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff7f:810::/28 | ff7f:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff7f:820::/28 | ff7f:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff7f:830::/28 | ff7f:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff7f:840::/28 | ff7f:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff7f:850::/28 | ff7f:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff7f:860::/28 | ff7f:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff7f:870::/28 | ff7f:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff7f:880::/28 | ff7f:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff7f:890::/28 | ff7f:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff7f:8a0::/28 | ff7f:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff7f:8b0::/28 | ff7f:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff7f:8c0::/28 | ff7f:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff7f:8d0::/28 | ff7f:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff7f:8e0::/28 | ff7f:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff7f:8f0::/28 | ff7f:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff7f:900::/28 | ff7f:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff7f:910::/28 | ff7f:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff7f:920::/28 | ff7f:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff7f:930::/28 | ff7f:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff7f:940::/28 | ff7f:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff7f:950::/28 | ff7f:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff7f:960::/28 | ff7f:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff7f:970::/28 | ff7f:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff7f:980::/28 | ff7f:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff7f:990::/28 | ff7f:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff7f:9a0::/28 | ff7f:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff7f:9b0::/28 | ff7f:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff7f:9c0::/28 | ff7f:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff7f:9d0::/28 | ff7f:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff7f:9e0::/28 | ff7f:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff7f:9f0::/28 | ff7f:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff7f:a00::/28 | ff7f:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff7f:a10::/28 | ff7f:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff7f:a20::/28 | ff7f:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff7f:a30::/28 | ff7f:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff7f:a40::/28 | ff7f:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff7f:a50::/28 | ff7f:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff7f:a60::/28 | ff7f:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff7f:a70::/28 | ff7f:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff7f:a80::/28 | ff7f:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff7f:a90::/28 | ff7f:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff7f:aa0::/28 | ff7f:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff7f:ab0::/28 | ff7f:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff7f:ac0::/28 | ff7f:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff7f:ad0::/28 | ff7f:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff7f:ae0::/28 | ff7f:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff7f:af0::/28 | ff7f:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff7f:b00::/28 | ff7f:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff7f:b10::/28 | ff7f:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff7f:b20::/28 | ff7f:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff7f:b30::/28 | ff7f:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff7f:b40::/28 | ff7f:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff7f:b50::/28 | ff7f:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff7f:b60::/28 | ff7f:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff7f:b70::/28 | ff7f:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff7f:b80::/28 | ff7f:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff7f:b90::/28 | ff7f:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff7f:ba0::/28 | ff7f:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff7f:bb0::/28 | ff7f:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff7f:bc0::/28 | ff7f:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff7f:bd0::/28 | ff7f:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff7f:be0::/28 | ff7f:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff7f:bf0::/28 | ff7f:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff7f:c00::/28 | ff7f:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff7f:c10::/28 | ff7f:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff7f:c20::/28 | ff7f:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff7f:c30::/28 | ff7f:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff7f:c40::/28 | ff7f:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff7f:c50::/28 | ff7f:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff7f:c60::/28 | ff7f:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff7f:c70::/28 | ff7f:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff7f:c80::/28 | ff7f:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff7f:c90::/28 | ff7f:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff7f:ca0::/28 | ff7f:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff7f:cb0::/28 | ff7f:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff7f:cc0::/28 | ff7f:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff7f:cd0::/28 | ff7f:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff7f:ce0::/28 | ff7f:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff7f:cf0::/28 | ff7f:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff7f:d00::/28 | ff7f:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff7f:d10::/28 | ff7f:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff7f:d20::/28 | ff7f:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff7f:d30::/28 | ff7f:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff7f:d40::/28 | ff7f:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff7f:d50::/28 | ff7f:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff7f:d60::/28 | ff7f:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff7f:d70::/28 | ff7f:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff7f:d80::/28 | ff7f:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff7f:d90::/28 | ff7f:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff7f:da0::/28 | ff7f:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff7f:db0::/28 | ff7f:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff7f:dc0::/28 | ff7f:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff7f:dd0::/28 | ff7f:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff7f:de0::/28 | ff7f:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff7f:df0::/28 | ff7f:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff7f:e00::/28 | ff7f:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff7f:e10::/28 | ff7f:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff7f:e20::/28 | ff7f:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff7f:e30::/28 | ff7f:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff7f:e40::/28 | ff7f:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff7f:e50::/28 | ff7f:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff7f:e60::/28 | ff7f:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff7f:e70::/28 | ff7f:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff7f:e80::/28 | ff7f:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff7f:e90::/28 | ff7f:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff7f:ea0::/28 | ff7f:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff7f:eb0::/28 | ff7f:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff7f:ec0::/28 | ff7f:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff7f:ed0::/28 | ff7f:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff7f:ee0::/28 | ff7f:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff7f:ef0::/28 | ff7f:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff7f:f00::/28 | ff7f:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff7f:f10::/28 | ff7f:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff7f:f20::/28 | ff7f:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff7f:f30::/28 | ff7f:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff7f:f40::/28 | ff7f:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff7f:f50::/28 | ff7f:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff7f:f60::/28 | ff7f:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff7f:f70::/28 | ff7f:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff7f:f80::/28 | ff7f:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff7f:f90::/28 | ff7f:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff7f:fa0::/28 | ff7f:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff7f:fb0::/28 | ff7f:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff7f:fc0::/28 | ff7f:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff7f:fd0::/28 | ff7f:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff7f:fe0::/28 | ff7f:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff7f:ff0::/28 | ff7f:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |